/*
    Imake template and rules for getlseg
        Written by H.Goto, Sept. 1997
*/

/*--------------------------------------------------------------------
  Copyright (C) 1997  Hideaki Goto

        All Rights Reserved

  Permission to use, copy, modify, and distribute this software and
  its documentation for any purpose is hereby granted without fee,
  provided that (i) the above copyright notice and this permission
  notice appear in all copies and in supporting documentation, (ii)
  the name of the author, Hideaki Goto, may not be used in any
  advertising or otherwise to promote the sale, use or other
  dealings in this software without prior written authorization
  from the author, (iii) this software may not be used for
  commercial products without prior written permission from the
  author, and (iv) the notice of the modification is specified in
  case of that the modified copies of this software are distributed.

  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND.
  THE AUTHOR WILL NOT BE RESPONSIBLE FOR ANY DAMAGE CAUSED BY THIS
  SOFTWARE.
--------------------------------------------------------------------*/

/*--------------------------------
   Start of Configuration Part
--------------------------------*/

/*
    Set the destination path where bin/lib/include/man should go.

    Codes will be put in the following directories.

	bin     ->   $(DESTDIR)/bin$(ARCH_SUBDIR)
	lib     ->   $(DESTDIR)/lib$(ARCH_SUBDIR)
	include ->   $(DESTDIR)/include$(ARCH_SUBDIR)
*/

DESTDIR = $(HOME)/O2/DARsys


/*
    Set the subdirectory name of architecture with '/' on the head,
    if required.

        e.g.)  ARCH_SUBDIR = /sparc-sun-solaris2.4
*/

ARCH_SUBDIR =


/*
    Set install flags.
     (INSTBINFLAGS,INSTLIBFLAGS,INSTINCFLAGS,INSTMANFLAGS,INSTDATFLAGS)
*/

INSTBINFLAGS = -m 0755
INSTLIBFLAGS = -m 0644
INSTINCFLAGS = -m 0644
INSTMANFLAGS = -m 0644


/*
    Set the include path for user's header files.
*/

USR_INCLUDES = -I$(HOME)/O2/include -I$(HOME)/O2/DARsys/include


/*
    Set the include path for user's libraries.
*/

USR_LIBRARIES = -L$(HOME)/O2/lib -L$(HOME)/O2/DARsys/lib


/*
    Set C and C++ compilers.
*/

CC = gcc
CXX = g++


/*
    Set the compiler option(s).

    If you are a SPARC v8 (or later) user and you are using g++,
    try -msupersparc option. The processing speed will be improved.

*/

CCOPTIONS =
CDEBUGFLAGS = -O
/* CDEBUGFLAGS = -O -msupersparc */
 

/*--------------------------------
   End of Configuration Part
--------------------------------*/
